# Google Maps Engine API . tables . files

## Instance Methods

Upload a file to a placeholder table asset. See Table Upload in the Developer's Guide for more information.

### Method Details

`insert(id, filename, media_body=None)`

    Upload a file to a placeholder table asset. See Table Upload in the Developer's Guide for more information.
    Supported file types are listed in the Supported data formats and limits article of the Google Maps Engine help center.

    Args:
      id: string, The ID of the table asset. (required)
      filename: string, The file name of this uploaded file. (required)
      media_body: string, The filename of the media request body, or an instance of a MediaUpload object.